#ifndef TEXT_VIEW_H
#define TEXT_VIEW_H

#ifndef VIEW_H
#include "View.h"
#endif

namespace MM
{

class Model;
class Model;
class Text_output;

class Text_view : public View
{
public:    
    Text_view (Model & subject, const Model & model, Text_output & output);
    virtual void update( bool rebuild_flag = true );
    virtual void rebuild( ) { };
    virtual void render( )  { };
    virtual void draw( )    { };

private:    
    const Model     &model_;
    Text_output     &output_;
};

}//MM

#endif //TEXT_VIEW_H
